# Authorship & Citations

- C. Poiret, UNIACT-NeuroSpin, CEA, Saclay University, France,
- A. Bouyeure, UNIACT-NeuroSpin, CEA, Saclay University, France,
- S. Patil, UNIACT-NeuroSpin, CEA, Saclay University, France,
- C. Boniteau, UNIACT-NeuroSpin, CEA, Saclay University, France,
- A. Grigis, BAOBAB-NeuroSpin, CEA, Saclay University, France,
- E. Duchesnay, BAOBAB-NeuroSpin, CEA, Saclay University, France,
- M. Noulhiane, UNIACT-NeuroSpin, CEA, Saclay University, France.

If you use this work, please cite it as follows:

```
@ARTICLE{10.3389/fninf.2023.1130845,
    AUTHOR={Poiret, Clement and Bouyeure, Antoine and Patil, Sandesh and Grigis, Antoine and Duchesnay, Edouard and Faillot, Matthieu and Bottlaender, Michel and Lemaitre, Frederic and Noulhiane, Marion},
    TITLE={A fast and robust hippocampal subfields segmentation: HSF revealing lifespan volumetric dynamics},	
    JOURNAL={Frontiers in Neuroinformatics},
    VOLUME={17},
    YEAR={2023},
    URL={https://www.frontiersin.org/articles/10.3389/fninf.2023.1130845},
    DOI={10.3389/fninf.2023.1130845},
    ISSN={1662-5196},
    ABSTRACT={The hippocampal subfields, pivotal to episodic memory, are distinct both in terms of cyto- and myeloarchitectony. Studying the structure of hippocampal subfields in vivo is crucial to understand volumetric trajectories across the lifespan, from the emergence of episodic memory during early childhood to memory impairments found in older adults. However, segmenting hippocampal subfields on conventional MRI sequences is challenging because of their small size. Furthermore, there is to date no unified segmentation protocol for the hippocampal subfields, which limits comparisons between studies. Therefore, we introduced a novel segmentation tool called HSF short for hippocampal segmentation factory, which leverages an end-to-end deep learning pipeline. First, we validated HSF against currently used tools (ASHS, HIPS, and HippUnfold). Then, we used HSF on 3,750 subjects from the HCP development, young adults, and aging datasets to study the effect of age and sex on hippocampal subfields volumes. Firstly, we showed HSF to be closer to manual segmentation than other currently used tools (p < 0.001), regarding the Dice Coefficient, Hausdorff Distance, and Volumetric Similarity. Then, we showed differential maturation and aging across subfields, with the dentate gyrus being the most affected by age. We also found faster growth and decay in men than in women for most hippocampal subfields. Thus, while we introduced a new, fast and robust end-to-end segmentation tool, our neuroanatomical results concerning the lifespan trajectories of the hippocampal subfields reconcile previous conflicting results.}
}
```

This work licensed under MIT license was supported in part by the Fondation de France and the IDRIS/GENCI for the HPE Supercomputer Jean Zay.
